local function OnMinimapButtonClick(...)
    if ... then
        local s, button = ...
        if strupper(button) == "LEFTBUTTON" then
            WokrahReport:BuildFrame()
        end
    end 
end

local WokrahLDB = LibStub("LibDataBroker-1.1"):NewDataObject(Wokrah["ADDON_NAME"], {
    type = "data source",
    text = Wokrah["ADDON_NAME"],
    icon = "Interface\\Icons\\spell_shadow_summonvoidwalker",
    OnClick = OnMinimapButtonClick,
})
local icon = LibStub("LibDBIcon-1.0")

function WokrahAddon:OnInitialize()
    self.db =  WokrahAddon:GetDb()
    icon:Register(Wokrah["ADDON_NAME"], WokrahLDB, self.db.profile.minimap) 
end